Jar mismatch! Fix your dependencies. It is indirectly referenced from required .class files

从公司电脑上将项目带回家里电脑或是笔记本上继续开发时,发现总是报此错误,项目代码都是复制过来的,完全一样啊。

后来,发现,原来是引用的库项目引起的。

这台电脑和上班那台电脑上的appcompat_v7,并不完全一样。

而且引用的cameraLib也有一些修改。

因此,把appcompat_v7和cameraLib这两个库项目下的libs目录下的jar版本统一了。

这样操作:删除a删除中的jar,将b项目中的jar复制到a项目。
这次是因为这两个项目的android-support-v4.jar不完全一样导致的。